﻿//*******************************
//
//
// Martinho da Gloria
// Automatication
// 
//
// MultiFindChange
// Version: 1.0b1
//
//
//*******************************
#targetengine "MultiFindChange"

if (typeof(MultiFindChangeMenuItem) == "undefined") 
{
	function MultiFindChangeMenuItemLoader() 
	{
	}

    //*******************************
	
	MultiFindChangeMenuItemLoader.GetScriptsFolderPath = function() 
	{
		var err;
		try 
		{
			var script = app.activeScript;
		} 
	    catch(err) 
	    {
			var script = File(err.fileName);
		}
		return script.path + '/../';	
	} 

    //*******************************
	
     MultiFindChangeMenuItemLoader.LoadScript = function(in_filename) 
	 {
		var	script = null;
		var file = File(MultiFindChangeMenuItemLoader.GetScriptsFolderPath() + in_filename);
		do
		{
			if (! file.exists)
			{
				break;
			}
			if (! file.open())
			{
				break;
			}
			script = file.read();
			file.close();
		}
		while (false);
		
		
		return script;
	 }

	//*******************************
	
	MultiFindChangeMenuItemLoader.script = MultiFindChangeMenuItemLoader.LoadScript('MultiFindChangeMenuItem.jsxbin');
	if(MultiFindChangeMenuItemLoader.script != null) 
	{
		eval(MultiFindChangeMenuItemLoader.script);
	}
}
